Subject: Re: [PATCH net-next v4 11/17] dt-bindings: net: pse-pd: Add another way of describing several PSE PIs

From: Rob Herring <[email-masked]>
Date: Thu, 15 Feb 2024 20:16:36 -0600

On Thu, Feb 15, 2024 at 05:02:52PM +0100, Kory Maincent wrote:
> PSE PI setup may encompass multiple PSE controllers or auxiliary circuits
> that collectively manage power delivery to one Ethernet port.
> Such configurations might support a range of PoE standards and require
> the capability to dynamically configure power delivery based on the
> operational mode (e.g., PoE2 versus PoE4) or specific requirements of
> connected devices. In these instances, a dedicated PSE PI node becomes
> essential for accurately documenting the system architecture. This node
> would serve to detail the interactions between different PSE controllers,
> the support for various PoE modes, and any additional logic required to
> coordinate power delivery across the network infrastructure.
> 
> The old usage of "#pse-cells" is unsuficient as it carries only the PSE PI
> index information.

Every time I read this sentence I'm just going to ask why not add more 
data besides index to the cells?

This all still looks pretty much the same. I guess there was 
explanation in the long response on the last version, but I haven't had 
time to digest it and won't until I'm back next week at the earliest.

Rob